diff --git a/graphics/party_menu/slot_main.bin b/graphics/party_menu/slot_main.bin
new file mode 100755
index 0000000000..2f3e729f6d
--- /dev/null
+++ b/graphics/party_menu/slot_main.bin
@@ -0,0 +1 @@
+ !!!!!!!!" !!!!!!!!" !!!!!!!!"(;<::::::=.////////0
\ No newline at end of file
diff --git a/graphics/party_menu/slot_main_egg.bin b/graphics/party_menu/slot_main_egg.bin
new file mode 100755
index 0000000000..653ad1a64b
--- /dev/null
+++ b/graphics/party_menu/slot_main_egg.bin
@@ -0,0 +1 @@
+ !!!!!!!!" !!!!!!!!" !!!!!!!!"())))))))*.////////0
\ No newline at end of file
diff --git a/graphics/party_menu/slot_wide.bin b/graphics/party_menu/slot_wide.bin
new file mode 100755
index 0000000000..c88b73bf78
--- /dev/null
+++ b/graphics/party_menu/slot_wide.bin
@@ -0,0 +1 @@
++,,,,,,,,,,,,,,,,-1!!!!!!!!453333336788888888888888889
\ No newline at end of file
diff --git a/graphics/party_menu/slot_wide_egg.bin b/graphics/party_menu/slot_wide_egg.bin
new file mode 100755
index 0000000000..8f662da0ae
--- /dev/null
+++ b/graphics/party_menu/slot_wide_egg.bin
@@ -0,0 +1 @@
++,,,,,,,,,,,,,,,,-1!!!!!!!!!!!!!!!!2788888888888888889
\ No newline at end of file
diff --git a/graphics/party_menu/slot_wide_empty.bin b/graphics/party_menu/slot_wide_empty.bin
new file mode 100755
index 0000000000..3592178b3f
Binary files /dev/null and b/graphics/party_menu/slot_wide_empty.bin differ
diff --git a/src/data/party_menu.h b/src/data/party_menu.h
index f8093a9b6b..e462f95c0c 100644
--- a/src/data/party_menu.h
+++ b/src/data/party_menu.h
@@ -571,34 +571,14 @@ static const struct WindowTemplate sUnusedWindowTemplate2 =
     .baseBlock = 0x39D,
 };
 
-// Tile nums
-static const u8 sMainSlotTileNums[] = {24, 25, 25, 25, 25, 25, 25, 25, 25, 26,
-                                       32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-                                       32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-                                       32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-                                       40, 59, 60, 58, 58, 58, 58, 58, 58, 61,
-                                       15, 16, 16, 16, 16, 16, 16, 16, 16, 17,
-                                       46, 47, 47, 47, 47, 47, 47, 47, 47, 48};
-
-static const u8 sMainSlotTileNums_Egg[] = {24, 25, 25, 25, 25, 25, 25, 25, 25, 26,
-                                           32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-                                           32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-                                           32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-                                           40, 41, 41, 41, 41, 41, 41, 41, 41, 42,
-                                           15, 16, 16, 16, 16, 16, 16, 16, 16, 17,
-                                           46, 47, 47, 47, 47, 47, 47, 47, 47, 48};
-
-static const u8 sOtherSlotsTileNums[] = {43, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 45,
-                                         49, 33, 33, 33, 33, 33, 33, 33, 33, 52, 53, 51, 51, 51, 51, 51, 51, 54,
-                                         55, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 57};
-
-static const u8 sOtherSlotsTileNums_Egg[] = {43, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 45,
-                                             49, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 50,
-                                             55, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 57};
-
-static const u8 sEmptySlotTileNums[] = {21, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 23,
-                                        30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31,
-                                        37, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 39};
+// Plain tilemaps for party menu slots.
+// The difference between the egg and regular versions is the lack of an HP bar.
+// There is no empty version of the main slot because it shouldn't ever be empty.
+static const u8 sSlotTilemap_Main[]      = INCBIN_U8("graphics/party_menu/slot_main.bin");
+static const u8 sSlotTilemap_MainEgg[]   = INCBIN_U8("graphics/party_menu/slot_main_egg.bin");
+static const u8 sSlotTilemap_Wide[]      = INCBIN_U8("graphics/party_menu/slot_wide.bin");
+static const u8 sSlotTilemap_WideEgg[]   = INCBIN_U8("graphics/party_menu/slot_wide_egg.bin");
+static const u8 sSlotTilemap_WideEmpty[] = INCBIN_U8("graphics/party_menu/slot_wide_empty.bin");
 
 // Palette offsets
 static const u8 sGenderPalOffsets[] = {11, 12};
diff --git a/src/party_menu.c b/src/party_menu.c
index 36e83a168e..2557d31ee5 100755
--- a/src/party_menu.c
+++ b/src/party_menu.c
@@ -2094,9 +2094,9 @@ static void BlitBitmapToPartyWindow_LeftColumn(u8 windowId, u8 x, u8 y, u8 width
         height = 7;
     }
     if (isEgg == FALSE)
-        BlitBitmapToPartyWindow(windowId, sMainSlotTileNums, 10, x, y, width, height);
+        BlitBitmapToPartyWindow(windowId, sSlotTilemap_Main, 10, x, y, width, height);
     else
-        BlitBitmapToPartyWindow(windowId, sMainSlotTileNums_Egg, 10, x, y, width, height);
+        BlitBitmapToPartyWindow(windowId, sSlotTilemap_MainEgg, 10, x, y, width, height);
 }
 
 static void BlitBitmapToPartyWindow_RightColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, u8 isEgg)
@@ -2107,14 +2107,14 @@ static void BlitBitmapToPartyWindow_RightColumn(u8 windowId, u8 x, u8 y, u8 widt
         height = 3;
     }
     if (isEgg == FALSE)
-        BlitBitmapToPartyWindow(windowId, sOtherSlotsTileNums, 18, x, y, width, height);
+        BlitBitmapToPartyWindow(windowId, sSlotTilemap_Wide, 18, x, y, width, height);
     else
-        BlitBitmapToPartyWindow(windowId, sOtherSlotsTileNums_Egg, 18, x, y, width, height);
+        BlitBitmapToPartyWindow(windowId, sSlotTilemap_WideEgg, 18, x, y, width, height);
 }
 
 static void DrawEmptySlot(u8 windowId)
 {
-    BlitBitmapToPartyWindow(windowId, sEmptySlotTileNums, 18, 0, 0, 18, 3);
+    BlitBitmapToPartyWindow(windowId, sSlotTilemap_WideEmpty, 18, 0, 0, 18, 3);
 }
 
 #define LOAD_PARTY_BOX_PAL(paletteIds, paletteOffsets)                                    \
